using UnityEngine;

namespace MyGame.Scenes.marketing.Scripts
{
    public class TastingBasketView : MonoBehaviour
    {
        [SerializeField] private GameObject itemMany;
        [SerializeField] private GameObject itemFew;
        [SerializeField] private int manyCount;
        [SerializeField] private int fewCount;

        public void SetItem(int count)
        {
            if (count >= manyCount)
            {
                itemMany.SetActive(true);
                itemFew.SetActive(false);
            }
            else if (count >= fewCount)
            {
                itemMany.SetActive(false);
                itemFew.SetActive(true);
            }
            else
            {
                itemMany.SetActive(false);
                itemFew.SetActive(false);
            }
        }
    }
}